### Method

# Gtk Stackset_visible_child

#### Declaration [src]

    void
    gtk_stack_set_visible_child (
      GtkStack* stack,
      GtkWidget* child
    )

#### Description [src]

Makes `child` the visible child of `stack`.

If `child` is different from the currently visible child, the transition between the two will be animated with the current transition type of `stack`.

Note that the `child` widget has to be visible itself (see `gtk_widget_show()`) in order to become the visible child of `stack`.

Sets property | `Gtk.Stack:visible-child`

#### Parameters

`child`

  Type: `GtkWidget`

  A child of `stack`.

  The data is owned by the caller of the method.